# Constants

Constant | Example
--- | ---
The true value. | `TRUE`
The false value. | `FALSE`
Integer numbers. | `0`, `123`, `-32769`
Hexadecimal short signed integers. | `&H1F5`, `&HFFFF`, `&FFFF`
Hexadecimal signed integers. | `&H10BF332E`, `&10BF332E`
Hexadecimal unsigned integers. | `&H8000&`, `&HFFFF&`
Binary integers. | `&X1010010101`, `%101001011`
Floating point numbers. | `1.0`, `-5.345219E+45`
String constants. | `"Hello World !"`
String constants to be translated. | `("This software is cool")`
Null constant / void string. | `NULL`

The string constants can contain the following escape characters:

Escape character | ASCII equivalent
--- | ---
`\n` | `CHR$(13)`
`\r` | `CHR$(10)`
`\t` | `CHR$(9)`
`\"` | Double quote
`\\` | Backslash
`\xx` | `CHR$(&Hxx)`

You can write a string constant in several successive parts. For example, `"Gambas" " is " "great"` is absolutely the same constant as `"Gambas is great"`

Previous: Comparison operators Next: Constants declaration